# FairMQ: fair::mq::tools::SharedSemaphore Struct Reference

fair::mq::tools::SharedSemaphore Struct Reference

A simple copyable blocking semaphore. More...

`#include <fairmq/tools/Semaphore.h>`

## Public Member Functions

| SharedSemaphore (std::size_t initial_count)
auto | Wait () -> void
auto | Signal () -> void
auto | GetCount () const -> std::size_t

## Detailed Description

A simple copyable blocking semaphore.

The documentation for this struct was generated from the following files:

- fairmq/tools/Semaphore.h
- fairmq/tools/Semaphore.cxx

privacy